# $Revision: 1.64 $, $Date: 2002/08/03 22:11:55 $
Summary:	Multithreaded FTP client for X Window
Summary(es):	Cliente FTP multithreaded para el X Windows
Summary(ja):	X Window System ѥޥå FTP 饤
Summary(pl):	Wielowtkowy klient FTP dla X Window
Summary(pt_BR):	Cliente FTP multithreaded para o X Window
Summary(ru):	 FTP   X Window
Summary(uk):	 FTP ̦  X Window
Name:		gftp
Version:	2.0.13
Release:	1
Epoch:		2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://gftp.seul.org/%{name}-%{version}.tar.gz
Patch0:		%{name}-pld.patch
Patch1:		%{name}-no_libnsl.patch
URL:		http://gftp.seul.org/
BuildRequires:	gtk+-devel >= 1.2.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk. It
features simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, downloading of entire directories,
ftp proxy support, remote directory caching, passive and non-passive
file transfers, drag-n-drop support, bookmarks menu, stop button, and
many more features.

%description -l es
Cliente FTP multithreaded para el X Windows.

%description -l ja
gFTP  X Window System ѤΥޥå FTP 饤ȤǤ
gFTP ϡʣեƱɤ䡢Ǥž
쥸塼ࡢʣΥեΥͽ󡢥ǥ쥯ȥꤴȤ
ɡ FTP ȤΥ֥åޡ FTP ȤΥǥ쥯ȥ
Υå塢ȥ⡼ȤΥեΥѡߥåѹ
ɥåɥɥåסͥޥ͡㡢¾
ǽäƤޤ

%description -l pl
gFTP jest wielowtkowym klientem FTP dla X Window wykorzystujcym
bibliotek gtk+. Pozwala na jednoczesne ciganie wielu plikw,
wznawianie przerwanych transferw, kolejkowanie przesyanych plikw,
ciganie zawartoci katalogw, moliwo pracy z wykorzystaniem ftp
proxy, cignie plikw w trybie passiv i non-passive, drag-n-drop,
zarzdzanie poczeniami i wiele innych moliwoci.

%description -l pt_BR
O gftp  um cliente FTP multithreaded para o X Window escrito usando a
biblioteca gtk. Permite transferir arquivos simultneamente, continuar
transferncias interrompidas, filas para transferncias de arquivos e
um gerenciador de conexes muito bom e muitas outras caractersticas.

%description -l ru
gFTP -  FTP   X Window   
GTK.       ,
   ,   , 
 ,  ftp ,   
,       , 
""  (drag-n-drop),  ,   
 .

%description -l uk
gFTP   FTP ̦  X Window,  
 GTK.    Φ 
 ̦,    ̦,  
,  æ Ǧ, Ц ftp Ӧ, 
Ӧ צ Ǧ,  ̦   
 , Ц "" ̦ (drag-n-drop), 
,     .

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_applnkdir}/Network/FTP

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO THANKS docs/USERS-GUIDE ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/gftp
%{_datadir}/gftp/*.xpm
%{_datadir}/gftp/COPYING
%config %{_datadir}/gftp/gftprc
%config %{_datadir}/gftp/bookmarks

%{_pixmapsdir}/gftp.png
%{_mandir}/man1/*

%{_applnkdir}/Network/FTP/gftp.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gftp.spec,v $
Revision 1.64  2002/08/03 22:11:55  kloczek
- updated to 2.0.13,
- use new %doc and merge translations from Kondara.

Revision 1.63  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.62  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.61  2002/04/25 16:22:51  arturs
fixed a small typo

Revision 1.60  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.59  2002/03/10 11:07:29  kloczek
- release 2: merge translations from KSI.

Revision 1.58  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.57  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2002/01/09 10:43:35  misiek
- updated to 2.0.11 (bugfixes)

Revision 1.54  2001/12/21 23:21:32  kloczek
- updated to 2.0.10 (fixes for SSH/SSH2 and other minor bugs; new/updated
  translations).

Revision 1.53  2001/11/24 08:15:53  kloczek
- updated to 2.0.9,
- added no_libnsl patch.

Revision 1.52  2001/10/05 23:18:17  kloczek
- release 2,
- added "rm -f missing on top %build.

Revision 1.51  2001/10/04 15:04:11  qboosh
- BuildRequires: autoconf,automake

Revision 1.50  2001/04/22 01:12:38  kloczek
- updated to final 2.0.8 (Epoch: 2).

Revision 1.49  2001/03/07 18:37:48  kloczek
- cosmetics.

Revision 1.48  2001/03/07 18:18:31  michuz
- updated to 2.0.9pre1

Revision 1.47  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.46  2000/10/25 06:52:35  kloczek
- release 3, Epoch 1 (for allow upgrade from RH 7).

Revision 1.45  2000/10/25 06:06:49  kloczek
- release 2: use new rpm automation.

Revision 1.44  2000/08/10 10:34:19  kloczek
- updated to 2.0.7b.

Revision 1.43  2000/07/25 06:11:26  kloczek
- updated to 2.0.7a.

Revision 1.42  2000/07/10 14:19:38  kloczek
- fixed %doc list.

Revision 1.41  2000/07/10 05:51:12  kloczek
- updated to 2.0.7.

Revision 1.40  2000/06/19 13:15:24  kloczek
- release 5,
- install man page in %%{_prefix}/man.

Revision 1.39  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.38  2000/05/29 17:27:46  kloczek
- bump release ro 4 for allow upgrade from RH 6.2.

Revision 1.37  2000/05/29 13:13:36  kloczek
- removed %%patch -p1.

Revision 1.36  2000/05/29 13:04:55  kloczek
- release 2,
- desktop file moved to Network/FTP.

Revision 1.35  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.34  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.33  2000/04/01 11:14:27  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.32  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.31  2000/02/22 17:03:54  michuz
- changed %applnk path

Revision 1.30  1999/12/18 18:12:37  kloczek
- updated to 2.0.6a.

Revision 1.29  1999/12/10 20:20:34  pius
- added %{_datadir}/gftp/COPYING (required)

Revision 1.28  1999/12/10 19:36:44  pius
- updated to 2.0.6

Revision 1.27  1999/11/29 07:00:59  kloczek
- new pl translation.

Revision 1.26  1999/09/25 16:48:19  kloczek
- updated to 2.0.5,
- added using %%{find_lang} macro for include list .mo files to package,
- added "BuildRequires: gettext-devel" and other small updates neccessary
  for 2.0.5.

Revision 1.25  1999/09/04 10:10:43  pius
- cosmetics

Revision 1.24  1999/09/04 09:13:19  pius
- updated to 2.0.4,
- updated URL and Source url,
- simplifications in %install,
- cosmetics.

Revision 1.23  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.22  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.21  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 26 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.0.2-1]
- updated to 2.0.2.

* Fri May 21 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.0.1-1]
- package is FHS 2.0 compliant,
- spec file rewritten for PLD use,
- based on spec written by Michael Fulbright <drmike@redhat.com>.
